# Tarfile created using git
# git clone git://gitorious.org/meego-netbook-ux/meego-panel-zones.git
# git archive --format=tar --prefix=%{name}-%{version}/ %{version} | bzip2 > ~/%{name}-%{version}.tar.bz2
%define tarfile %{name}-%{version}.tar.bz2

Name:          meego-panel-myzone
Version:       0.2.5
Release:       2%{?dist}
Summary:       MeeGo Panel for display of current social information

Group:         System Environment/Libraries
License:       LGPLv2+
URL:           http://www.meego.com
Source0:       %{tarfile}

BuildRequires: clutter-devel
BuildRequires: dbus-glib-devel
BuildRequires: GConf2-devel
BuildRequires: gtk2-devel
BuildRequires: jana-devel
BuildRequires: libmx-devel
BuildRequires: libsocialweb-devel
BuildRequires: mutter-meego-devel
BuildRequires: telepathy-glib-devel

BuildRequires: intltool
BuildRequires: libtool
BuildRequires: desktop-file-utils

Requires: dbus

Provides: moblin-panel-myzone = %{version}-%{release}
Obsoletes: moblin-panel-myzone < 0.2.6

%description
The MeeGo panel for MyZone. MyZone allows you to see 
that status of friends on social networks, chekck what you 
have on in your calendar, and more.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%prep
%setup -q

# Require until stable tar ball release
NOCONFIGURE=yes ./autogen.sh --disable-capplet

%build
%configure --disable-capplet --disable-static

# Remove rpath as per https://fedoraproject.org/wiki/Packaging/Guidelines#Beware_of_Rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make %{?_smp_mflags} V=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL='install -p'

#Remove libtool archives.
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%find_lang %{name}

desktop-file-validate %{buildroot}/%{_datadir}/applications/myzone.desktop
desktop-file-validate %{buildroot}/%{_sysconfdir}/xdg/autostart/%{name}.desktop
desktop-file-validate %{buildroot}/%{_datadir}/mutter-meego/panels/%{name}.desktop

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING
%{_sysconfdir}/gconf/schemas/meego-panel-myzone.schemas
%{_sysconfdir}/xdg/autostart/meego-panel-myzone.desktop
%{_libdir}/libpenge.so.*
%{_libexecdir}/meego-panel-myzone
%{_datadir}/dbus-1/services/com.meego.UX.Shell.Panels.myzone.service
%{_datadir}/applications/myzone.desktop
%{_datadir}/mutter-meego/panels/meego-panel-myzone.desktop
%{_datadir}/%{name}

%files devel
%defattr(-,root,root,-)
%{_libdir}/libpenge.so
%{_libdir}/pkgconfig/penge.pc
%{_includedir}/%{name}

%changelog
* Mon Sep 27 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.5-2
- Review updates

* Wed Sep  1 2010 Peter Robinson <pbrobinson@gmail.com> 0.2.5-1
- upstream 0.2.5 release
- rename from moblin to meego

* Mon Jul 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.34-2
- bump build

* Mon Jul 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.1.34-1
- new upstream 0.1.34 release

* Wed May 26 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-4
- Bump build for new evolution

* Wed May  5 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-3
- Rebuild for new evolution

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-2
- Add source file

* Sun Apr 18 2010 Peter Robinson <pbrobinson@gmail.com> 0.0.13-1
- New upstream 0.0.13 release

* Thu Oct 29 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.12-1
- New upstream 0.0.12 release

* Fri Oct 16 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.11-1
- New upstream 0.0.11 release

* Wed Oct 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.10-1
- New upstream 0.0.10 release

* Sat Oct 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.9-1
- New upstream 0.0.9 release

* Wed Oct  7 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.7-1
- New upstream 0.0.7 release

* Thu Sep 17 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.6-1
- New upstream 0.0.6 release

* Mon Sep 14 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.5-1
- New upstream 0.0.5 release

* Thu Sep 10 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.4-1
- New upstream 0.0.4 release

* Mon Aug 24 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-3
- Bump release

* Fri Aug 21 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-2
- Updates from review

* Wed Aug 19 2009 Peter Robinson <pbrobinson@gmail.com> 0.0.1-1
- Initial packaging
